Subject: Re: [PATCH] MyFirstContribution: link #git-devel to Libera Chat

From: Emily Shaffer <[email-masked]>
Date: Tue, 8 Jun 2021 10:23:00 -0700

On Tue, Jun 08, 2021 at 07:21:14PM +0530, Atharva Raykar wrote:
> 
> It's pretty safe to say that most of the regulars on #git-devel are now
> on Libera Chat. This will help new contributors find the right place, if
> they choose to ask questions on `#git-devel`.
> 
> Since there seems to be no way to directly link Libera's web chat to
> `#git-devel` directly,

I just typed "web.libera.chat/#git-devel" and it worked perfectly fine.

> I have put a generic link over the text 'Libera
> Chat'. Users will have to manually type `#git-devel` in the webchat
> interface, but that should be obvious enough to not be worth mentioning.

Generally, this is a bad approach to take for absolute-beginner
documents like this one. Even if it "should" be obvious, why not just
say it? Some skills - like how to examine the compiler errors from your
C compiler and fix your code accordingly - are a necessary prerequisite
to be useful on the Git project; other skills - like how to use IRC -
are not, and we can teach them, especially in a guide like this :)

But anyway it's moot, as direct link does seem to work.

> 
> Signed-off-by: Atharva Raykar <[email-masked]>
> ---
> 
> My heuristic for determining "most of the regulars are on Libera Chat" is the
> fact that the last biweekly standup happened there.
> 
>  Documentation/MyFirstContribution.txt | 8 ++++----
>  1 file changed, 4 insertions(+), 4 deletions(-)
> 
> diff --git a/Documentation/MyFirstContribution.txt b/Documentation/MyFirstContribution.txt
> index af0a9da62e..cd9e2069d4 100644
> --- a/Documentation/MyFirstContribution.txt
> +++ b/Documentation/MyFirstContribution.txt
> @@ -47,7 +47,7 @@ Veteran contributors who are especially interested in helping mentor newcomers
>  are present on the list. In order to avoid search indexers, group membership is
>  required to view messages; anyone can join and no approval is required.
>  
> -==== https://webchat.freenode.net/#git-devel[#git-devel] on Freenode
> +==== #git-devel on https://web.libera.chat[Libera Chat]

The prior link was a direct link to the #git-devel channel, so that
newbies don't need to figure out how to join the channel they want from
the main webchat landing page. It looks like Libera also supports this
functionality. So please link to 'https://web.libera.chat/#git-devel'
instead.

> @@ -826,9 +826,9 @@ NOTE: You can typically find someone who can `/allow` you on GitGitGadget by
>  either examining recent pull requests where someone has been granted `/allow`
>  (https://github.com/gitgitgadget/git/pulls?utf8=%E2%9C%93&q=is%3Apr+is%3Aopen+%22%2Fallow%22[Search:
>  is:pr is:open "/allow"]), in which case both the author and the person who
> -granted the `/allow` can now `/allow` you, or by inquiring on the
> -https://webchat.freenode.net/#git-devel[#git-devel] IRC channel on Freenode
> -linking your pull request and asking for someone to `/allow` you.
> +granted the `/allow` can now `/allow` you, or by inquiring on the #git-devel IRC
> +channel on https://web.libera.chat[Libera Chat] linking your pull request and
> +asking for someone to `/allow` you.

Same as above.

Thanks very much for sending the patch. I haven't had time to address it
myself.

 - Emily